# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Config.pm) perl(List/Util.pm) perl(Moose.pm) perl(Scalar/Util.pm) perl(Tree/Simple.pm) perl(namespace/autoclean.pm) perl-base perl-devel perl-podlators
# END SourceDeps(oneline)
Name:      perl-Catalyst-Plugin-Authorization-ACL
Version:   0.15
Release:   alt1_10
Summary:   ACL Support for Catalyst Applications
License:   GPL+ or Artistic
Group:     Development/Perl
URL:       http://search.cpan.org/dist/Catalyst-Plugin-Authorization-ACL/
Source0:   http://search.cpan.org/CPAN/authors/id/R/RK/RKITOVER/Catalyst-Plugin-Authorization-ACL-%{version}.tar.gz
BuildArch: noarch

BuildRequires:  perl(CPAN.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Class/Data/Inheritable.pm)
BuildRequires:  perl(Class/Throwable.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Tree/Simple/Visitor/FindByPath.pm)
BuildRequires:  perl(Tree/Simple/Visitor/GetAllDescendents.pm)
## required for tests
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)
BuildRequires: perl(Test/WWW/Mechanize/Catalyst.pm)
BuildRequires: perl(Catalyst/Plugin/Authorization/Roles.pm)
BuildRequires: perl(Catalyst/Plugin/Authentication.pm)
BuildRequires: perl(Catalyst/Plugin/Session/State/Cookie.pm)
Source44: import.info

%description
This module provides Access Control List style path protection, with
arbitrary rules for Catalyst applications. It operates only on the
Catalyst private namespace, at least at the moment.

%prep
%setup -q -n Catalyst-Plugin-Authorization-ACL-%{version} 

# make sure doc/tests don't generate provides
# note we first filter out the bits in _docdir...
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'`
EOF

%define __perl_provides %{_builddir}/Catalyst-Plugin-Authorization-ACL-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'`
EOF

%define __perl_requires %{_builddir}/Catalyst-Plugin-Authorization-ACL-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%files
%doc Changes README t/
%{perl_vendor_privlib}/*

%changelog
* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_10
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_9
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_7
- fc import

